Skip to main content
GET
/
ai
/
projects
/
{project_id}
/
board
/
items
/
{item_id}
/
filesystem
/
file
Read board item filesystem file
curl --request GET \
  --url https://api.wacht.dev/ai/projects/{project_id}/board/items/{item_id}/filesystem/file \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "path": "<string>",
    "name": "<string>",
    "mime_type": "<string>",
    "is_text": true,
    "size_bytes": 123,
    "truncated": true,
    "content": "<string>",
    "content_base64": "<string>"
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

project_id
string
required
item_id
string
required

Query Parameters

path
string
required
include_archived
boolean

Response

200 - application/json

File content

status
integer
message
string
session
object
errors
object[]
data
object